delete-2¶
Source¶
Repository:
jef-systems/jef-caferimo-backendModule:
caferimoLambda:
jef-caferimo-delete-2Commit:
4fb92889ce88b288363c04fbc83b0a3b1cb82250
Endpoint¶
API Name:
jef-caferimoAction Name:
deleteMethod:
DELETEResource Path:
/delete-2Complete Endpoint:
https://kxg0awctg2.execute-api.ap-southeast-1.amazonaws.com/prod/delete-2Lambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-delete-2curl payload mode:
json_body
API Gateway Description¶
Function: jef-caferimo-delete-2
API Name: jef-caferimo
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /delete-2
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Payload:
- jsin: string
Lambda Response Schema Reference:
- exists: boolean
- message: string
- item: {"pk":"string","gsi_1_pk":"string","jsin":"string","barcode":"string","product_name":"string","product_unit":"string"}
- deleted_pk: string
Request Payload¶
{
"jsin": "string"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"pk\":\"string\",\"gsi_1_pk\":\"string\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}",
"deleted_pk": "string"
}
CMD curl¶
curl -X DELETE "https://kxg0awctg2.execute-api.ap-southeast-1.amazonaws.com/prod/delete-2" -H "Content-Type: application/json" --data-raw "{\"jsin\": \"string\"}"
PowerShell curl¶
curl.exe -X DELETE "https://kxg0awctg2.execute-api.ap-southeast-1.amazonaws.com/prod/delete-2" -H "Content-Type: application/json" --data-raw '{"jsin": "string"}'